This file is no longer maintained.  Consult the Git log for newer changes.

2009-09-27  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: pplying a patch from Yoshimasa Niwa resolving
	a possible runaway CPU issue when matching context regexes

2008-08-11  Doug Kearns  <dougkearns@gmail.com>

	* ftdetect/ruby.vim: match irbrc as a Ruby filetype

2008-07-15  Doug Kearns  <dougkearns@gmail.com>

	* FAQ, README, etc/website/index.html: update the references to
	RubyGarden's VimRubySupport page

2008-07-08  Doug Kearns  <dougkearns@gmail.com>

	* NEWS: begin updating for the pending release

2008-06-29  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: resolve a typo in the configuration initialization
	section

2008-06-29  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: revert highlighting of - as number

2008-06-29  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: fix quirk in optional argument handling

2008-06-29  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: don't match $_foo as an invalid variable

2008-04-25  Tim Pope  <vim@tpope.info>

	* ftplugin/eruby.vim, syntax/eruby.vim: guard against recursion

2008-04-21  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: don't let ruby indent %> lines
	* indent/ruby.vim: hack around <%= and <%- from eruby

2008-04-20  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: don't highlight x /= y as regexp

2008-02-17  Tim Pope  <vim@tpope.info>

	* indent/ruby.vim: Copy previous string indent inside strings

2008-02-13  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: keepend on // regexps and add \/ escape

2008-02-01  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: switch vim variable checking to a more
	rubyish method

2008-01-31  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: setlocal, not set indentexpr

2008-01-28  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: better heuristic for regexps as method arguments

2008-01-25  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: highlight several regexp constructs

2008-01-21  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: per Bram's advice, use 'W' searchpair flag

2008-01-21  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: indent { and } like do and end

2007-12-17  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: treat <%- like <%

2007-10-01  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: removed some false positives (e.g., include?, nil?)

2007-09-14  Tim Pope  <vim@tpope.info>

	* compiler/rspec.vim: new compiler plugin for rspec

2007-09-06  Tim Pope  <vim@tpope.info>

	* syntax/eruby.vim: remove Vim 5.x specific sections
	* syntax/ruby.vim: highlight negative sign in numbers

2007-08-07  Tim Pope  <vim@tpope.info>

	* indent/ruby.vim: fix while/until/for match in skip regexp

2007-07-30  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: highlight undef like def

2007-07-16  Tim Pope  <vim@tpope.info>

	* indent/ruby.vim: prevent symbols like :for from indenting

2007-07-14  Tim Pope  <vim@tpope.info>

	* syntax/eruby.vim: fixed ALLBUT clauses to refer to right group

2007-06-22  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: include operator highlighting in class/module
	declarations (for ::)

2007-06-04  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: fixed %s() highlighting

2007-05-26  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: added rubyBlockParameter to @rubyNoTop

2007-05-25  Tim Pope  <vim@tpope.info>

	* indent/ruby.vim: removed string delimiters from string matches

2007-05-25  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: cleaned up string highlighting
	* indent/ruby.vim: lines starting with strings are no longer ignored

2007-05-22  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: made module declaration match mirror class
	declaration match
	* ftdetect/ruby.vim: added .irbrc

2007-05-16  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: revert from using TOP to ALLBUT

2007-05-15  Tim Pope  <vim@tpope.info>

	* syntax/eruby.vim: handle %%> properly

2007-05-14  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: fixed problem highlighting [foo[:bar]]
	* syntax/ruby.vim: don't highlight = in {:foo=>"bar"}

2007-05-11  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: GetRubyIndent() takes an argument for debugging
	* doc/ft-ruby-syntax.txt: clean up some cruft

2007-05-09  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: added module_function keyword

2007-05-06  Tim Pope  <vim@tpope.info>

	* doc/ft-ruby-syntax.txt: bring into sync with upstream
	* ftdetect/ruby.vim: Rails extensions

2007-05-06  Tim Pope  <vim@tpope.info>

	* NEWS: update documentation for next release
	* syntax/eruby.vim: allow for nesting (foo.erb.erb)
	* syntax/ruby.vim: removed : from rubyOptionalDoLine (falsely matches
	on symbols, and the syntax is deprecated anyways)

2007-05-06  Tim Pope  <vim@tpope.info>

	* ftplugin/ruby.vim: maps for [[, ]], [], ][, [m, ]m, [M, ]M

2007-05-06  Tim Pope  <vim@tpope.info>

	* ftplugin/eruby.vim, syntax/eruby.vim: added a default subtype option

2007-05-06  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Highlight punctuation variables in string
	interpolation, and flag invalid ones as errors

2007-05-05  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: eliminated some false positves for here docs,
	symbols, ASCII codes, and conditionals as statement modifiers
	* syntax/ruby.vim: added "neus" to regexp flags

2007-04-24  Tim Pope  <vim@tpope.info>

	* ftplugin/eruby.vim, syntax/eruby.vim: fixed typo in subtype
	detection

2007-04-20  Tim Pope  <vim@tpope.info>

	* ftplugin/eruby.vim, syntax/eruby.vim: refined subtype detection

2007-04-17  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: highlight %s() as a symbol, not a string
	* ftplugin/eruby.vim: determine and use eruby subtype

2007-04-16  Tim Pope  <vim@tpope.info>

	* ftplugin/ruby.vim: add *.erb to the browse filter
	* indent/eruby.vim: use 'indentexpr' from subtype

2007-04-16  Tim Pope  <vim@tpope.info>

	* ftdetect/ruby.vim: detect *.erb as eruby
	* syntax/eruby.vim: determine subtype by inspecting filename

2007-04-03  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: allow text to appear after, and on the same line,
	as '=begin' in rubyDocumentation regions

2007-03-31  Doug Kearns  <dougkearns@gmail.com>

	* ftplugin/ruby.vim: add break, redo, next, and retry to b:match_words

2007-03-28  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: add matchgroup to rubyArrayLiteral so that
	contained square brackets do not match in the start/end patterns

2007-03-28  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: don't match [!=?] as part of a sigil prefixed
	symbol name

2007-03-28  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: rename the rubyNoDoBlock, rubyCaseBlock,
	rubyConditionalBlock, and rubyOptionalDoBlock syntax groups to
	rubyBlockExpression, rubyCaseExpression, rubyConditionalExpression,
	and rubyRepeatExpression respectively

2007-03-28  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: remove accidentally included matchgroup from
	rubyArrayLiteral

2007-03-20  Doug Kearns  <dougkearns@gmail.com>

	* indent/ruby.vim: ignore instance, class, and global variables named
	"end" when looking to deindent the closing end token

2007-03-20  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim, syntax/eruby.vim: remove the Vim version 5
	compatibility code

2007-03-20  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: add rubyArrayLiteral syntax group for folding
	multiline array literals

2007-03-19  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: highlight the scope and range operators when
	ruby_operators is set; simplify block parameter highlighting by adding
	the rubyBlockParameterList syntax group

2007-03-17  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: when ruby_operators is set don't match '>' in '=>';
	fix some minor bugs in the highlighting of pseudo operators and
	contain TOP in rubyBracketOperator

2007-03-17  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: allow regexp literals to be highlighted after the
	'else' keyword

2007-03-09  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Added OPTIMIZE alongside FIXME and TODO.  Mirrors
	Edge Rails' new annotations extractor tasks.

2007-03-09  Tim Pope  <vim@tpope.info>

	* ftplugin/ruby.vim: Skip class= and for= with matchit (really belongs
	in ftplugin/eruby.vim).

2007-03-05  Doug Kearns  <dougkearns@gmail.com>

	* ftplugin/ruby.vim: add sigil prefixed identifiers to b:match_skip

2007-03-03  Doug Kearns  <dougkearns@gmail.com>

	* ftplugin/ruby.vim: simplify the b:match_words pattern by making
	better use of b:match_skip in concert with the previous syntax group
	additions

2007-03-03  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: add rubyConditionalModifier and rubyRepeatModifier
	syntax groups for conditional and loop modifiers and match the
	optional 'do' or ':' in looping statements with a new rubyOptionalDo
	syntax group

2007-03-02  Doug Kearns  <dougkearns@gmail.com>

	* NEWS: fix typo

2007-03-02  Doug Kearns  <dougkearns@gmail.com>

	* NEWS: update documentation for next release

2007-03-02  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Cope with (nonsensical) inclusion of : in
	iskeyword.

2007-03-02  Tim Pope  <vim@tpope.info>

	* NEWS: Documented changes to omnicompletion.

2007-03-02  Doug Kearns  <dougkearns@gmail.com>

	* ftplugin/ruby.vim: refine the conditional/loop expression vs
	modifier matchit heuristic

2007-03-01  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: refine the conditional/loop expression vs modifier
	highlighting heuristic

2007-02-28  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: highlight conditional and loop expressions properly
	when used with the ternary operator and in blocks

2007-02-28  Doug Kearns  <dougkearns@gmail.com>

	* NEWS, CONTRIBUTORS: update documentation for next release

2007-02-27  Tim Pope  <vim@tpope.info>

	* ftplugin/ruby.vim: Provide 'balloonexpr'.

2007-02-27  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: add rubyPredefinedVariable to short-form
	rubyInterpolation's contains list

2007-02-27  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: :retab! the file to save a few bytes

2007-02-26  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Limit then, else, elsif, and when to inside
	conditional statements.

2007-02-26  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: make sure 'class << self' is always highlighted

2007-02-26  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: reorganise string interpolation syntax groups

2007-02-26  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: highlight interpolation regions preceded by
	multiple backslashes properly

2007-02-26  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: highlight methods named "end" when the definition
	is distributed over multiple lines (i.e. allow more "def end" madness)

2007-02-25  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Highlight predefined global variables in aliases.

2007-02-25  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Highlight symbols and global variables in aliases.
	Highlight capitalized method names.

2007-02-24  Tim Pope  <vim@tpope.info>

	* ftplugin/ruby.vim: set keywordprg=ri

	* syntax/ruby.vim: Allow for "def end" madness

2007-02-24  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: allow escape sequences and interpolation inside
	symbol 'names' specified with a string

2007-02-24  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: highlight == and & 'operator' redefinitions
	properly

2007-02-23  Tim Pope  <vim@tpope.info>

	* doc/ft-ruby-syntax.txt: Recommend hi link rubyIdentifier NONE over
	ruby_no_identifiers.

2007-02-23  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Fixed method highlighting when not at the end of
	the line.  Highlight aliases.  Account for \ before #{} interpolation.

2007-02-23  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: make sure multi-line backslash escaped
	interpolation regions are highlighted as rubyString

2007-02-23  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: link the rubyLoop syntax group to the Repeat
	highlight group

2007-02-22  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: Fixed an edge case.

	* syntax/ruby.vim: Simpler method and class declaration highlighting.
	Changed some contains=ALLBUT,... to contains=TOP.  Altered some
	highlight links: rubyConstant is now Type; rubySymbol is now Constant.
	New groups like rubyLoop and rubyCondition.

2007-02-22  Doug Kearns  <dougkearns@gmail.com>

	* syntax/ruby.vim: highlight short format interpolated variables

2007-02-20  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Place class/module declarations in a separate
	group.  Allow self to be highlighted in a method declaration.

2007-02-18  Tim Pope  <vim@tpope.info>

	* syntax/ruby.vim: Separate Regexp group.  Nest Ruby code inside
	string interpolation.  Restored highlighting of method, class, and
	module declarations.

2007-02-10  Doug Kearns  <dougkearns@gmail.com>

	* ftplugin/ruby.vim: only reset 'ofu' if it exists and was set by the
	ftplugin (for Vim 6 compatibility)

2007-01-22  Tim Pope  <vim@tpope.info>

	* ftplugin/ruby.vim: Limited path detection code to Windows, again.

2006-12-13  Mark Guzman	<segfault@hasno.info>

	* autoload/rubycomplete.vim: added support for lambda and '&' defined
	procs.

2006-12-07  Mark Guzman <segfault@hasno.info>

	* ftplugin/ruby.vim: modified the path detection code use
	the built-in interpreter if it's available in all cases.

2006-12-04  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: Special case for "end" on first line of multi-line
	eRuby block.

2006-12-03  Doug Kearns  <dougkearns@gmail.com>

	* CONTRIBUTORS: add tpope

2006-12-01  Mark Guzman <segfault@hasno.info>

	* ftplugin/ruby.vim: changed the path detection code to use the
	built-in interpreter if it's available under windows

2006-11-30  Mark Guzman <segfault@hasno.info>

	* autoload/rubycomplete.vim: Display constants as defines. Added a
	rails preloading option. Fixed a bug detecting ranges defined with
	%r{.  Added support for completion in rails migrations. Will now
	fail-over to syntax completion automatically, if the vim isn't built
	with ruby support. Added support for class detection using
	ObjectSpace.  Tweeked buffer searching code to find modules/classes
	reliably in more cases.

2006-11-09  Tim Pope  <vim@tpope.info>

	* indent/ruby.vim: Only increase one 'shiftwidth' after a line ending
	with an open parenthesis.

2006-11-08  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: Rearranged keywords; new 'indentkeys'

2006-11-08  Tim Pope  <vim@tpope.info>

	* indent/eruby.vim: new indenting algorithm

2006-11-08  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: don't include trailing whitespace in matches for
	'def', 'class', and 'module' keywords

2006-10-28  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: remove accidently included nextgroup arg in
	'heredoc' syntax group definitions

2006-10-24  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/eruby.vim: recognise '-' trim mode block delimiters (Nikolai
	Weibull)

2006-09-19  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: improved rails view support. included
	rails helpers in rails completions. kernel elements are also included
	in default completions. improved the handling of "broken" code.

2006-09-07  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: autoload rubygems if possible. added
	debugging print. clean up the buffer loading code a bit

2006-08-21  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: modified the buffer loading code to prevent
	syntax errors from stopping completion

2006-07-12  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: added in-buffer method def handling. also
	added an inital attempt at handling completion in a rails view

2006-07-11  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* FAQ, INSTALL, NEWS, README, doc/ft-ruby-syntax.txt: update
	documentation for next release

	* ftplugin/ruby.vim: only set 'omnifunc' if Vim has been compiled with
	the Ruby interface

2006-07-10  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: fold all multiline strings

2006-06-19  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: modified to change the default
	buffer loading behavior. buffers are no longer loaded/parsed
	automatically. enabling this feature requires setting the
	variable g:rubycomplete_buffer_loading. this was done as
	a security measure, the default vim7 install should not
	execute any code.

	* autoload/rubycomplete.vim: symbol completion now works. i
	tested with global symbols as well as rails symbols.

2006-05-26  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: fix typo

2006-05-25  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: added rails column support.
	switched to dictionary with type specifiers for methods,
	classes, and variables. started/added rails 1.0 support.
	added rails database connection support.

2006-05-25  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: use a region for the rubyMultiLineComment syntax
	group instead of a multiline match pattern as it is faster; rename
	rubyMultiLineComment to rubyMultilineComment

2006-05-13  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: test for '&omnifunc', rather than the Vim
	version, before setting it; add omnifunc to b:undo_ftplugin

2006-05-12  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: match the pseudo operators such as '+=' when
	ruby_operators is defined

2006-05-11  Mark Guzman <segfault@hasno.info>

	* autoload/rubycomplete.vim: added checks for the existance of
	global config variables per dkearns' patch. refined error messages
	to use vim error style

2006-05-11  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: make sure rubyDocumentation is highlighted even if
	ruby_no_comment_fold is defined; improve rubyDocumentation match
	patterns

2006-05-09  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: make folding of comments configurable via the
	ruby_no_comment_fold variable

	* syntax/ruby.vim: add rubyMultiLineComment syntax group to allow
	folding of comment blocks

2006-05-08  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: simplify rubyNoDoBlock, rubyOptDoLine match
	patterns

	* syntax/ruby.vim: add initial support for highlighting 'operators'.
	This is off by default and enabled by defining the ruby_operators
	variable

	* syntax/ruby.vim: if/unless immediately following a method name
	should always be highlighted as modifiers and not the beginning of an
	expression

2006-05-07  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: Switched to script local vars,
	per patch from dkearns. removed secondary array clause. applied
	patch provided by dkearns, fixes input handling.

2006-05-07  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* autoload/rubycomplete.vim: set 'foldmethod' to marker in the
	modeline

2006-05-03  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: add patterns for braces, brackets and parentheses
	to b:match_words

2006-05-01  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: Added error trapping and messages
	for class import errors

2006-04-28  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: started adding raw range support
	1..2.<C-x><C-o>. fixed the symbol completion bug, where you
	would end up with a double colon.

2006-04-27  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: added variable type detection for
	Ranges. added handlers for string completion: "test".<C-x><C-o>

2006-04-26  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: removed cWORD expansion in favor of
	grabbing the whole line. added support for completing variables
	inside operations and parameter lists. removed excess cruft code.
	removed commented code.

	* autoload/rubycomplete.vim: fixed the truncation code. this fixes
	f.chomp! <C-x><C-o> returning chomp! again, where it should provide
	the global list. It also fixes f.foo( a.B, b.<C-x><C-o> returning a's
	list when it should return b's.

2006-04-26  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* autoload/rubycomplete.vim: set 'expandtab' properly

2006-04-25  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: started stripping out preceding
	assigment operation stuff. "x = A", would attempt to complete
	A using the global list. I've started removing old/commented
	code in an effort to slim down the file.

2006-04-25  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* autoload/rubycomplete.vim: remove excess whitespace

	* indent/ruby.vim: make sure 'smartindent' is disabled

2006-04-24  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: fixed a completion bug where the entered
	text was not taken to account. it will now be used to limit the entries
	returned

2006-04-24  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* Rakefile: add vim help files, the new FAQ and rubycomplete.vim to
	the gemspec file list

2006-04-22  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: changed the rails load code to match the
	console load, we're now pulling everything in. completion of class
	members from within the class definition now works properly.

2006-04-21  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: renamed the vim global variable
	controlling the addition of classes defined in the current buffer to
	the global completion list

	* autoload/rubycomplete.vim: the global variable list is now sorted
	and dups are removed

	* autoload/rubycomplete.vim: fixed a bug with rails support, where
	rails standard methods would be added to a completion list when not
	in a rails project

	* doc/ft-ruby-omni.txt: added information about the classes in global
	completion option

2006-04-21  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* doc/ft-ruby-omni.txt: add highlighting to example setting of
	g:rubycomplete_rails variable

2006-04-21  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: added support for adding classes defined
	in the current buffer to the global completion list - when completing
	with no text outside of a class definition

2006-04-20  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* doc/ft-ruby-omni.txt: add new omni completion documentation

	* doc/ft-ruby-syntax.txt, syntax/doc/ruby.txt: move syntax
	documentation to ft-ruby-syntax.txt

2006-04-20  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: fixed a completion hang/crash when
	completing symbols globally switched to smaller chunks being added to
	the dictionary

	* autoload/rubycomplete.vim: it will now complete rails classes

	* autoload/rubycomplete.vim: removed left over debug prints

2006-04-19  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: in-buffer class completion seems to work
	properly in my test cases added range variable detection - contributed

2006-04-19  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftdetect/ruby.vim: add RJS and RXML template file detection

2006-04-19  Gavin Sinclair  <gsinclair@gmail.com>

	* CONTRIBUTORS, ftplugin/ruby.vim: update Gavin's email address

2006-04-18  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: revised the in-buffer class loading,
	needs a little more work but its testable

2006-04-17  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* CONTRIBUTORS, indent/ruby.vim: update Nikolai's email address

2006-04-16  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim: added a work-around for the cWORD bug
	found by dkearns; added support for completion of in-buffer classes;
	switched return-type over to a dictionary

2006-04-15  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* autoload/rubycomplete.vim: rename rbcomplete#Complete to match
	script file name

	* autoload/rubycomplete.vim, compiler/rubyunit.vim, ftdetect/ruby.vim,
	ftplugin/ruby.vim, indent/ruby.vim, syntax/ruby.vim,
	compiler/eruby.vim, compiler/ruby.vim, ftplugin/eruby.vim,
	indent/eruby.vim, syntax/eruby.vim: add Release-Coordinator header
	line and remove GPL license

	* CONTRIBUTORS, bin/vim-ruby-install.rb: add Mark to the list of
	maintainers; add rubycomplete.vim to the installer script's list of
	files

2006-04-14  Mark Guzman  <segfault@hasno.info>

	* autoload/rubycomplete.vim, ftplugin/ruby.vim: added ruby
	omni-completion files; modified the ftplugin to set the omnifunc

2005-10-14  Gavin Sinclair <gsinclair@soyabean.com.au>

	* indent/ruby.vim: Changed maintainer to Nikolai.

2005-10-13  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* compiler/eruby.vim, compiler/rubyunit.vim, ftplugin/eruby.vim,
	ftplugin/ruby.vim, indent/eruby.vim, indent/ruby.vim,
	syntax/eruby.vim, syntax/ruby.vim: fix typo in URL header

	* ftdetect/ruby.vim: add filetype detection for Rantfiles

2005-10-07  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* NEWS: updated for new release

	* syntax/doc/ruby.txt: update formatting for Vim 6.4 release

2005-10-06  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: prevent symbols from matching as matchit
	match_words

2005-10-05  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* NEWS: updated for new release

	* bin/vim-ruby-install.rb: raise an exception if there are unknown
	args passed to the script

	* ftplugin/ruby.vim: add '.' to the head of 'path' so that files
	relative to the directory of the current file are found first

2005-10-04  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: make the use of 'ruby_no_expensive' local to the
	buffer for eruby files

	* compiler/eruby.vim, compiler/rubyunit.vim, compiler/ruby.vim,
	ftdetect/ruby.vim, ftplugin/eruby.vim, ftplugin/ruby.vim,
	indent/eruby.vim, indent/ruby.vim, syntax/eruby.vim, syntax/ruby.vim:
	replace spaces with tabs, where possible, to reduce file sizes as
	requested by BM

2005-09-30  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: place Gems after the standard $LOAD_PATH in
	'path'

2005-09-27  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: replace a single '.' with ',,' in all locations
	in 'path'

2005-09-26  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: use print instead of puts to generate s:rubypath

2005-09-25  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: allow comments to be highlighted directly after
	module/class/method definitions without intervening whitespace

2005-09-24  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: allow regexp's as hash values and after a ';'

	* NEWS: updated for new release

	* syntax/ruby.vim: fix typo in rubyControl highlight group name

	* bin/vim-ruby-install.rb: add --backup option and include short
	options for it and --windows; make sure the backup directory is
	written to CWD

2005-09-22  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* compiler/rubyunit.vim: improve compiler message output and behaviour
	to match that of the GUI test runners

	* syntax/ruby: allow while/until modifiers after methods with names
	ending in [!=?]; assume (for now) that while/until expressions used as
	args will be specified with parentheses

2005-09-21  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb, indent/eruby.vim: add a new indent file for
	eRuby; just use the html indent file for now

	* compiler/eruby.vim: use the ruby compiler plugin 'efm' and add a
	eruby_compiler config variable to allow for using eruby as the
	'makeprg' rather than the default erb

2005-09-20  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: match and highlight exit! as a 'special' method

2005-09-18  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Fix bug #2481

2005-09-18  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Fix for #2473

2005-09-18  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb: make sure that the latest vim-ruby, rather
	than vim-ruby-devel, gem is being used

2005-09-16  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftdetect/ruby.vim: use 'set filetype' rather than 'setfiletype' to
	override any previously set filetype

2005-09-15  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: add $LOADED_FEATURES and $PROGRAM_NAME to
	rubyPredefinedVariable

	* NEWS: correct release number

	* INSTALL: add a precautionary note about backing up files prior to
	using the installer

2005-09-14  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* Rakefile: add INSTALL and NEWS files to FileList

	* INSTALL, NEWS: add INSTALL and NEWS files

2005-09-13  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/eruby.vim: make sure escaped eRuby tags aren't highlighted as
	block delimiters with a trailing '%'

2005-09-11  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* CONTRIBUTORS: update pcp's email address

	* indent/ruby.vim: reinsert license in header

	* ftplugin/ruby.vim: include gems load path in 'path' option

	* indent/ruby.vim: ignore the rescue 'modifier' when indenting (#2296)

	* indent/ruby.vim: fix comment typo

2005-09-10  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Fixes bugs introduced in earlier commits.  Been
	running without fault for two-three weeks now.  It's about as good as
	it gets without a major reworking.  Enjoy!

2005-09-10  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* Rakefile: use GMT time in the version string

	* compiler/rubyunit.vim: save each message from error backtraces

	* README, etc/website/index.html: update the package naming
	description

	* Rakefile: set the package task's need_zip attribute so that zip
	package archives are also created

	* ftplugin/ruby.vim: remove 'multiline' patterns from b:match_words

2005-09-09  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby: allow if/unless/while/until expressions to be
	highlighted when used as method args following a ','

2005-09-08  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: allow while/until expressions to be highlighted

	* bin/vim-ruby-install.rb: rescue Win32::Registry::Error when
	accessing the Windows registry

	* ChangeLog, Rakefile, compiler/eruby.vim, compiler/rubyunit.vim,
	compiler/ruby.vim, ftplugin/eruby.vim, indent/ruby.vim,
	syntax/eruby.vim, syntax/ruby.vim: normalise vim modelines

	* etc/release/release.sh: add -z to cvsrelease call to create a zip
	release file as well as a tar.gz

	* Rakefile: add CONTRIBUTORS file to FileList

	* ftplugin/ruby.vim: escape \'s in b:match_skip pattern

	* Rakefile: update filetype/ to ftdetect/ in FileList

2005-09-07  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* ftplugin/ruby.vim: improve b:match_words pattern

2005-09-06  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: move hyphen to end of collection in rubyNoDoBlock
	pattern

2005-09-03  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: allow if/unless expressions after the %, ^, | and &
	operators

2005-09-02  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb: add ftplugin/eruby.vim to list of source
	files

	* ftplugin/eruby.vim: add new eRuby ftplugin

	* ftplugin/ruby.vim: merge most features from Ned Konz's ftplugin

	* compiler/eruby.vim: match eruby specific error messages and parse
	the error's column number when provided

2005-09-01  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb, compiler/eruby.vim: add new eruby compiler
	plugin

	* syntax/eruby.vim, syntax/ruby.vim: split erubyBlock into erubyBlock
	and erubyExpression; allow expressions inside blocks; set
	ruby_no_expensive if highlighting eRuby; add spell checking and
	rubyTodo to erubyComment

	* syntax/eruby.vim: make sure that eRubyOneLiner starts at the
	very beginning of a line

	* syntax/eruby.vim: make sure that eRubyOneLiner cannot be extended
	over multiple lines

2005-08-30  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: remove rubyIterator HiLink command line

2005-08-27  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb: add Env.determine_home_dir using
	%HOMEDRIVE%%HOMEPATH% as HOME on Windows if HOME is not explicitly set

	* syntax/ruby.vim: fix regression in rubyOptDoBlock

	* syntax/ruby.vim: fix typo in rubyBlockParameter pattern

2005-08-26  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Updated to indent correctly.  There's more to be
	done, as a statement may be contained in other stuff than a '... = ',
	so that '=' should be [=+-...].  Soon to be fixed.

2005-08-26  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: only match rubyBlockParameter after 'do' that is a
	'keyword'

2005-08-25  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: rename rubyIterator to rubyBlockParameter; ensure
	it only highlights these after a 'do' or '{'; match parameters in
	parentheses

	* syntax/doc/ruby.txt: minor reorganisation of options

	* bin/vim-ruby-install.rb: don't use $0 == __FILE__ idiom to start
	installer file as this will fail when running as a gem as
	vim-ruby-install.rb is loaded by the gem driver; make _same_contents
	a private method; fix a bug in BackupDir.backup where it was writing
	the backup to an incorrect location

2005-08-24  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim:
	1.  resetting of cpoptions (wouldn't always be done, depending on if
	GetRubyIndent was defined.

	2.  Bugs #166, #1914, #2296 should be fixed

	3.  Somewhat simpler processing of the contents of the file.

	Most of the work was removing complexity that was trying to be clever
	about understanding the syntax/semantics of the file, while actually
	making things slow and actually not matching correctly.

2005-08-24  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: remove 'contains=rubyString' from the
	rubyInterpolation group until that is more comprehensively improved

2005-08-18  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: explicitly match block arguments so that &keyword
	isn't highlighted as a 'keyword' prefixed with &

	* syntax/ruby.vim: improve highlighting of heredocs used as method
	arguments

2005-08-17  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: improve highlighting of the optional 'do' in
	looping constructs

	* syntax/ruby.vim: remove accidentally added 'keepend' from
	rubyOptDoBlock

	* syntax/ruby.vim: merge 'while|until' start patterns of
	rubyOptDoBlock syntax group

2005-08-16  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb: wrap 'main' in a begin/end block

	* bin/vim-ruby-install.rb: add FIXME comment (Hugh Sasse)

	* README, bin/vim-ruby-install.rb, etc/website/index.html: offer
	$VIM/vimfiles and $HOME/{.vim,vimfiles} rather than $VIMRUNTIME as the
	two default installation directories

2005-08-15  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: remove character offset 'hs' from the
	rubyOptDoBlock start match

	* syntax/ruby.vim: exclude leading whitespace from the rubyOptDoBlock
	syntax group start patterns with \zs

2005-08-11  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* CONTRIBUTORS, bin/vim-ruby-install.rb, syntax/eruby.vim: add syntax
	highlighting for eRuby files

	* ftdetect/ruby.vim: reorder autocommands for eRuby setf line

2005-08-08  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb: add ftdetect/ruby.vim to list of source
	files

2005-08-07  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* filetype/ruby.vim, ftdetect/ruby.vim: move ruby.vim from filetype/
	to ftdetect/

	* filetype/filetype.vim, filetype/ruby.vim: move filetype.vim to
	ruby.vim; add eRuby filetype detection

2005-08-06  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: match rubyConstant and rubyLocalVariableOrMethod
	with a leading word boundary

	* syntax/ruby.vim: move ruby_no_identifiers test to the default
	highlighting block so that all identifiers are still matched when this
	is config variable set

	* syntax/ruby.vim: remove display argument from rubyConstant now that
	the match is multiline

2005-08-03  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* CONTRIBUTORS: add new file listing project contributors

2005-08-02  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: differentiate between constants and capitalized
	class methods invoked with the scope operator '::'

2005-08-01  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: undo reordering of identifier matching and make $_
	a special case to prevent it matching against global variables with a
	leading underscore

2005-07-30  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: reorder identifier matching so that identifiers
	'containing' predefined identifiers, such as $_, match properly

2005-07-28  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: improve matching of conditional expressions

2005-07-27  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* Rakefile: add 'package' as the default target

2005-07-26  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: replace leading context 'lc' offsets with the
	'\@<=' pattern construct when matching 'normal regular expressions'
	(Aaron Son)

2005-07-22  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: allow strings inside interpolation regions

2005-07-04  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* bin/vim-ruby-install.rb: improve source directory detection (Hugh
	Sasse)

2005-04-05  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: match rubyNested*, and rubyDelimEscape as
	transparent items; add closing escaped delimiters to rubyDelimEscape
	syntax group

2005-04-04  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: highlight nested delimiters in generalized quotes
	(Aaron Son, Bertram Scharpf and Ken Miller)

2005-04-04  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: minor improvement to block parameter highlighting

2005-04-04  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/doc/ruby.txt: add documentation for the ruby_space_errors,
	ruby_no_trail_space_error and ruby_no_tab_space_error configuration
	variables

2005-03-30  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* syntax/ruby.vim: add configurable highlighting of trailing space and
	'space before tab' errors (Tilman Sauerbeck)

2005-03-24  Gavin Sinclair <gsinclair@soyabean.com.au>

	* syntax/ruby.vim: Improved hilighting of %{...} strings with
	nested brackets (Ken Miller).
	* indent/ruby.vim: Improved indenting of %{...} strings with
	nested brackets (Ken Miller).
	* syntax/ruby.vim: Corrected hilighting of |(x,y)| iterator
	parameters (Tilman Sauerbeck).

2004-11-27  Doug Kearns  <djkea2@gus.gscit.monash.edu.au>

	* compiler/ruby.vim, compiler/rubyunit.vim, syntax/ruby.vim: update
	DJK's email address

2004-09-30  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: match regexp values in hash literals

2004-09-20  Gavin Sinclair <gsinclair@soyabean.com.au>

	* bin/vim-ruby-install.rb: added
	* Rakefile: 'rake package' generates TGZ and GEM
	* install.rb: removed
	* build.rb: removed

2004-09-04  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* compiler/rubyunit.vim, compiler/ruby.vim: update to use new
	CompilerSet command

2004-05-19  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* compiler/rubyunit.vim: match assert messages

2004-05-12  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: check for the folding feature rather than just the
	vim version when testing if the foldmethod should be set to syntax

2004-05-11  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* compiler/rubyunit.vim: add initial support for parsing Test::Unit
	errors

2004-05-11  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/doc/ruby.txt: add documentation for the
	ruby_no_special_methods and ruby_fold configuration variables

2004-04-29  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* filetype/filetype.vim: move matching of [Rr]akefile* to a separate
	section which is located later in the file to avoid incorrectly
	matching other filetypes prefixed with [Rr]akefile

2005-04-27  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* filetype/filetype.vim: match 'rakefile' as a Rakefile

2004-04-23  Ward Wouts  <ward@wizeazz.nl>

	* syntax/ruby.vim: add ruby_fold variable to control the setting of
	the foldmethod option

2004-04-06  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* filetype/filetype.vim: add RubyGems specification and installation
	files and Rakefiles

2004-04-01  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* compiler/rubyunit.vim: add a new compiler plugin for Test::Unit

2004-03-23  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* etc/website/index.html, etc/website/djk-theme.css: add simple CSS
	style sheet

2004-02-08  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* etc/website/index.html: convert to valid HTML 4.01 Strict.

2004-01-11  Gavin Sinclair <gsinclair@soyabean.com.au>

	* ftplugin/ruby.vim: Added matchit instructions.

2003-11-06  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* README: update DJK's current location.

2003-11-06  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: add support for the new decimal and octal base
	indicators and capitalization of all base indicators.

2003-10-20  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Added support for ?: multilining, such as
	a ?
	  b :
	  c.

2003-10-18  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Fixed a silly bug with the [] matching.

2003-10-17  Gavin Sinclair <gsinclair@soyabean.com.au>

	* README: Minor addition.
	* etc/website/index.html: Synced with README.

2003-10-15  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Fixed bug #114.  Also fixed a related problem with
	documentation blocks.  They would indent relative to the other code.
	Now it simply indents with zero width (to match =begin) by default.
	Otherwise acts like 'autoindent'.  Also fixed a problem with | and &
	not being recognized as continuation lines.  This may cause problems
	with do blocks, we'll see.
	* indent/ruby.vim: In response to previous note.  It proved fatal.
	Fixed now.

2003-10-14  Nikolai Weibull  <source@pcppopper.org>

	* syntax/ruby.vim: Readded matching of $' and $" when
	ruby_no_identifiers was off.  Got accidentaly removed with previous
	fix.

2003-10-13  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: General cleanup, speedup, fixup.  Fixes bug #62.
	Indentiation of tk.rb (5200+ lines) takes under 13 seconds now.
	* ftplugin/ruby.vim: Cleanup.  Nested if's unnecessary.  Also modified
	modeline.

2003-10-12  Nikolai Weibull  <source@pcppopper.org>

	* indent/ruby.vim: Fixed bugs #89 and #102.
	* syntax/ruby.vim: The $' and $" variables weren't being matched if
	ruby_no_identifiers was on.  This messed up string matching.
	* indent/ruby.vim: Basically did a total rewrite in the process.
	Everything is well documented now, and should be rather simple to
	understand.  There is probably room for optimization still, but it
	works rather fast, indenting tk.rb (5200+ lines) in under 15 seconds.
	I'm betting searchpair() may be executing a bit too often still, but a
	lot of special cases have now been taken care of.  This version also
	fixes bug #59 and #71.

2003-10-03  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: simplify the rubyData pattern by using the new EOF
	atom.

2003-10-03  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: link rubyBoolean to rubyPseudoVariable; link
	rubyPseudoVariable to the Constant highlight group.

2003-09-30  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: create rubyPseudoVariable syntax group; move self,
	nil, __LINE__ and __FILE_ to rubyPseudoVariable.

2003-09-30  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* etc/website/index.html: update DJK's current location.

2003-09-26  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* etc/website/index.html: close the open PRE element and add a DOCTYPE
	declaration.

2003-09-26  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* indent/ruby.vim: update references to rubyExprSubst - this syntax
	group has been split into rubyInterpolation, rubyNoInterpolation and
	rubyEscape.

2003-09-26  Gavin Sinclair <gsinclair@soyabean.com.au>

	* etc/release/*: added to aid in the production of releases.
	* etc/website/*: now anyone can have a crack at the
	  vim.ruby.rubyforge.org website!

2003-09-25  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: link the rubyNoInterpolation syntax group to
	rubyString; merge rubyHexadecimal, rubyDecimal, rubyOctal, rubyBinary
	into rubyInteger.

2003-09-22  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: link the rubyOperator syntax group to the Operator
	highlight group.

2003-09-21  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: match regexps after split, scan, sub and gsub.

2003-09-21  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: highlight escaped string interpolation correctly;
	allow hexadecimal and octal escape sequences to match with less than 3
	and 2 digits respectively; split rubyExprSubst into multiple syntax
	groups - rubyInterpolation, rubyNoInterpolation, rubyEscape.

2003-09-19  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: match singleton class definitions with no
	whitespace between 'class' and '<<'.

2003-09-19  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* install.rb, syntax/doc/ruby.txt: fix minor typos.

2003-09-18  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: improve float and decimal matching; split
	rubyInteger into multiple syntax groups - rubyASCIICode,
	rubyHexadecimal, rubyDecimal, rubyOctal, rubyBinary.

2003-09-18  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: replace all patterns surrounded by \(\) with \%(\)
	when the sub-expression is not used.

2003-09-18  Gavin Sinclair <gsinclair@soyabean.com.au>

	* install.rb: Included comments and USAGE string from revisino 1.1.

2003-09-18  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: match regexp after 'not' and 'then'; match if and
	unless expressions following '=' and '('.

2003-09-17  Gavin Sinclair  <gsinclair@soyabean.com.au>

	* ftplugin/ruby.vim: implemented matchit support (thanks to Ned Konz
	and Hugh Sasse).

2003-09-17  Gavin Sinclair  <gsinclair@soyabean.com.au>

	* install.rb: replaced with Hugh Sasse's contribution.  Alpha state
	until tested, and with several issues and todos listed.

2003-09-11  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: fix my accidental redefinition of the
	ruby_no_expensive matchgroups.

2003-09-11  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: improve support for symbols, integers and floating
	point numbers; add the display argument to :syntax where appropriate.

2003-09-09  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: remove Vim 5.x specific sections and simplify the
	generalized string, regular expression, symbol, and word list literal
	syntax groups.

2003-09-09  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* indent/ruby.vim, syntax/ruby.vim: rename the rubyStringDelimit
	syntax group rubyStringDelimiter.

2003-09-09  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: highlight one line module, class, and method
	definitions, using the ';' terminator, correctly; split
	rubyClassOrModule into two new syntax groups - rubyClass and
	rubyModule.

2003-09-08  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	*  syntax/ruby.vim: add the @Spell cluster to support spell checking
	of comment text.

2003-09-08  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: add support for the new %s() symbol literal.

2003-09-03  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* compiler/ruby.vim: update the maintainer's email address.

2003-09-02  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: make sure that the optional do after for, until or
	while is not matched as the beginning of a do/end code block; also
	highlight the optional ':' for these loop constructs.

2003-08-28  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: add folding support to embedded data sections after
	an __END__ directive.

2003-08-27  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: don't allow '<<' after '.' or '::' to match as the
	beginning of a heredoc.

2003-08-26  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: fix shebang highlighting which was being ignored
	all together.

2003-08-25  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: add the new %W() word list literal with
	interpolation; add folding to %q() single quoted strings and %w() word
	list literals.

2003-08-24  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: add $deferr to rubyPredefinedVariable; add several
	new methods (abort, at_exit, attr, attr_accessor, attr_reader,
	attr_writer, autoload, callcc, caller, exit, extend, fork, eval,
	class_eval, instance_eval, module_eval, private, protected, public,
	trap) to the Special Methods section.

2003-08-21  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: add access control methods (public, protected and
	private) to a new rubyAccess syntax group.

2003-08-21  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: no longer match NotImplementError as a predefined
	global constant; move rubyTodo to the Comments and Documentation
	section; create a Special Methods section and add the
	ruby_no_special_methods variable to allow the highlighting of these
	'special' methods to be disabled.

2003-08-18  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* compiler/ruby.vim, ftplugin/ruby.vim, indent/ruby.vim,
	syntax/ruby.vim: retab the header section - Bram prefers as many TAB
	characters as possible.

2003-08-18  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: allow for, while and until loop bodies to contain
	do...end and {...} blocks - rubyOptDoBlock should contain rubyDoBlock
	and rubyCurlyBlock.

2003-08-16  Doug Kearns  <djkea2@mugca.its.monash.edu.au>

	* syntax/ruby.vim: string expression substitution of class variables
	does not require braces.

